=== debian/changelog ===
qmmp (2.2.3-1) unstable; urgency=medium

  * Acknowledging NMU
  * New upstream version 2.2.3
    + Dropped 0001-qmmp.appdata.xml-Use-rDNS-identifier.patch
      (merged upstream)
    + Refreshed 0002-Fix-taglib-2.x-compatibility.patch
  * Updated d/copyright

 -- Harald Dunkel <harri@afaics.de>  Sat, 25 Jan 2025 11:35:32 +0100
