=== debian/changelog ===
qmmp (2.2.4-1) unstable; urgency=medium

  [ Harald Dunkel ]
  * new upstream version 2.2.4
    + dropped obsolete 0002-Fix-taglib-2.x-compatibility.patch
  * debian/rules: delete debian/files for make clean

  [ Matteo Cypriani ]
  * Dropped obsolete lintian override
  * Bump Standards-Version to 4.7.2 (no changes needed)

 -- Harald Dunkel <harri@afaics.de>  Sun, 30 Mar 2025 12:35:14 +0200
