=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
   qt6-base-dev,
   qt6-multimedia-dev,
   qt6-tools-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://qmmp.ylsoftware.com/
 Vcs-Git: https://salsa.debian.org/debian/qmmp.git
