=== debian/rules ===
--- 
+++ 
@@ -44,4 +44,5 @@
 # directory, so we have to remove leftover .qm files manually
 override_dh_auto_clean:
 	find -name '*.qm' | xargs rm -fv
+	rm -f debian/files
 	dh_auto_clean
