=== debian/changelog ===
qmmp (2.2.5-0.1~mx23+1) mx; urgency=medium

  * New upstream version 2.2.5.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 30 Apr 2025 13:20:37 -0700

qmmp (2.2.4-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 18 Apr 2025 08:52:50 -0700
