=== debian/control ===
Source: qmmp
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Matteo Cypriani <mcy@lm7.fr>
Uploaders: Harald Dunkel <harri@afaics.de>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libarchive-dev,
               libasound2-dev [linux-any],
               libavcodec-dev,
               libavformat-dev,
               libbs2b-dev,
               libcddb2-dev,
               libcdio-dev,
               libcdio-paranoia-dev,
               libcurl4-gnutls-dev,
               libenca-dev,
               libfaad-dev,
               libflac-dev,
               libgme-dev,
               libjack-jackd2-dev,
               libmad0-dev,
               libmms-dev,
               libmpcdec-dev,
               libogg-dev,
               libopus-dev,
               libopusfile-dev,
               libpipewire-0.3-dev,
               libprojectm-dev [!armel !armhf !hurd-any],
               libpulse-dev,
               libqt6opengl6-dev,
               librcd-dev,
               libshout-dev,
               libsidplayfp-dev,
               libsndfile1-dev,
               libsoxr-dev,
               libtag-dev,
               libvorbis-dev,
               libwavpack-dev,
               libwildmidi-dev,
               libx11-dev,
               libxmp-dev,
               oss4-dev [!linux-any],
               pkgconf,
               qt6-base-dev,
               qt6-multimedia-dev,
               qt6-tools-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://qmmp.ylsoftware.com/
Vcs-Git: https://salsa.debian.org/debian/qmmp.git
Vcs-Browser: https://salsa.debian.org/debian/qmmp

Package: qmmp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ffmpeg, mplayer, qmmp-plugin-projectm, udisks2 [linux-any], unzip
Recommends: freepats
Replaces: libqmmp-misc (<< 0.8), libqmmp0 (<< 0.8), libqmmpui0 (<< 0.8)
Breaks: libqmmp-misc (<< 0.8), libqmmp0 (<< 0.8), libqmmpui0 (<< 0.8)
Description: feature-rich audio player supporting many formats--Qt 6 version
 Qmmp is a feature-rich audio player with support of many formats.
 It is written in Qt. This is the Qt 6 version
 .
 Supported formats:
  - MPEG1 layer 2/3
  - Ogg Vorbis
  - Ogg Opus
  - Native FLAC, Ogg FLAC
  - Musepack
  - WavePack
  - tracker modules (mod, s3m, it, xm, etc)
  - ADTS AAC
  - CD Audio
  - WMA, Monkey's Audio (and other formats provided by FFmpeg library)
  - PCM WAVE (and other formats provided by libsndfile library)
  - midi
  - SID
  - chiptune formats (AY, GBS, GYM, HES, KSS, NSF, NSFE, SAP, SPC, VGM, VGZ,
    VTX)
 .
 DSP effects:
  - BS2B effect
  - sample rate converter
  - LADSPA effects
  - extra stereo
  - crossfade
 .
 Visual effects:
  - projectM visualization
  - spectrum analyzer
 .
 Audio output through:
  - ALSA
  - OSS
  - Pulse Audio
  - PipeWire
  - JACK
  - QTMultimedia
  - Icecast
 .
 Other features:
  - XMMS and Winamp 2.x skins support
  - alternative user interface based on standard widgets set
  - 10-band equalizer
  - MP3, Vorbis, AAC, AAC+ streams support
  - mms support
  - MPRIS
  - removable device detection (via UDisks)
  - video playback via Mplayer
  - lyrics
  - cover art support
  - CUE sheet support
  - embedded CUE support (for FLAC, WavPack and Monkey's Audio)
  - multiple playlists
  - automatic charset detection for cue files and ShoutCast metadata
  - playlist formats: m3u, pls, xspf
  - ReplayGain support
  - sending listening history to Last.fm, Libre.fm and ListenBrainz
  - CDDB support
  - audio converter
  - stream browser
  - audio formats converter
  - external programs execution on track change
  - ReplayGain scanner
  - archive reader (RAR and 7z)
  - audio recording
  - listening history
  - media library

Package: qmmp-plugin-projectm
Architecture: any-alpha any-amd64 any-arm64 any-hppa any-ia64 any-m68k any-mips64el any-mipsel any-powerpc any-ppc64 any-ppc64el any-riscv64 any-s390x any-sh4 any-sparc64 any-x32 kfreebsd-any i386
Depends: fonts-dejavu-core, ${misc:Depends}, ${shlibs:Depends}
Description: qmmp audio player -- projectM visualization plugin
 Qmmp is a feature-rich audio player with support of many formats.
 It is written in Qt.
 .
 See 'qmmp' package for full description.
 .
 This package contains the projectM visualization plugin for qmmp.
