=== debian/rules ===
--- 
+++ 
@@ -46,3 +46,8 @@
 	find -name '*.qm' | xargs rm -fv
 	rm -f debian/files
 	dh_auto_clean
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
