## qmmp 2.2.7

=== debian/changelog ===
qmmp (2.2.7-1) unstable; urgency=medium

  [ Harald Dunkel ]
  * new upstream version 2.2.7
    + upstream fixed build errors for QT 6.9 (Forky) in qmmp 2.2.4
      (Closes: #1097702)

  [ Matteo Cypriani ]
  * d/rules: Make kwin6.sh executable

 -- Matteo Cypriani <mcy@lm7.fr>  Sun, 17 Aug 2025 15:04:38 +0200

qmmp (2.2.5-1) unstable; urgency=medium

  * new upstream version 2.2.5

 -- Harald Dunkel <harri@afaics.de>  Mon, 28 Apr 2025 18:12:30 +0200
